
Taal 🇳🇱 Nederlands
Documentatie
Aan de slag
API-referentie
Gebruik
Aggregatie
Auditlogs
Authenticatie
Blokkeren van reactie
Controle op geblokkeerde reacties
Reacties
Reacties voor gebruiker
Domeinconfiguraties
E-mailsjablonen
Gebeurtenislogboek
Feed-berichten
Reactie markeren
Gifs
Hashtags
Moderatie
Moderatoren
Aantal meldingen
Meldingen
Pagina-reacties
Pagina's
Wachtende webhook-evenementen
Vraagconfiguraties
Vraagresultaten
Aggregatie van vraagresultaten
SSO-gebruikers
Abonnementen
Dagelijks gebruik tenant
Tenant-pakketten
Tenant-gebruikers
Tenants
Tickets
Vertalingen
Afbeelding uploaden
Voortgang gebruikersbadge
Gebruikersbadges
Gebruikersmeldingen
Aanwezigheidsstatus van gebruikers
Gebruiker zoeken
Gebruikers
Stemmen
FastComments Nim SDK
Dit is de officiële Nim SDK voor FastComments.
Officiële Nim SDK voor de FastComments API
Repository
Installatie 
Nimble gebruiken
nimble install fastcomments
Bouwen vanuit bron
nimble build
Inhoud van de bibliotheek
Deze bibliotheek bevat de tegenereerde API-client en de SSO-hulpmiddelen om het werken met de API gemakkelijker te maken.
Openbare vs beveiligde API's
Voor de API-client zijn er drie API-modules, api_default, api_public en api_moderation. De api_default bevat methoden die uw API-sleutel vereisen, en api_public bevat API-aanroepen die rechtstreeks vanuit een browser/mobiel apparaat/etc. kunnen worden gedaan zonder authenticatie. De api_moderation-module bevat methoden voor het moderator-dashboard.
De api_moderation-module biedt een uitgebreide reeks live en snelle moderatie-API's. Elke api_moderation-methode accepteert een sso-parameter en kan authenticeren via SSO of een FastComments.com sessiecookie.
Snelstart 
Gebruik van geauthenticeerde API's (DefaultAPI)
Belangrijk: Geauthenticeerde eindpunten vereisen dat uw API‑sleutel wordt ingesteld als de x-api-key header.
import httpclient
import fastcomments
import fastcomments/apis/api_default
import fastcomments/models/model_comment_data
let client = newHttpClient()
client.headers["x-api-key"] = "your-api-key"
# Make authenticated API calls.
# Required parameters (and the request body) are positional; optional
# parameters are passed via the operation's options object.
let (response, httpResponse) = getComments(
httpClient = client,
tenantId = "your-tenant-id",
options = GetCommentsOptions(
urlId: "your-url-id",
direction: SortDirections.DESC
)
)
if response.isSome:
let resp = response.get()
if resp.comments.isSome:
echo "Found ", resp.comments.get().len, " comments"
Gebruik van openbare API's (PublicAPI)
Openbare eindpunten vereisen geen authenticatie:
import httpclient
import fastcomments
import fastcomments/apis/api_public
let client = newHttpClient()
# Make public API calls.
# tenantId and urlId are required (positional); everything else is optional.
let (response, httpResponse) = getCommentsPublic(
httpClient = client,
tenantId = "your-tenant-id",
urlId = "your-url-id",
options = GetCommentsPublicOptions(
direction: SortDirections.DESC
)
)
if response.isSome:
let resp = response.get()
if resp.comments.isSome:
echo "Found ", resp.comments.get().len, " comments"
Gebruik van moderatie‑API's (ModerationAPI)
Moderatie‑eindpunten voeden het moderator‑dashboard en zijn geauthenticeerd met een SSO‑token voor de werkende moderator:
import httpclient
import fastcomments
import fastcomments/apis/api_moderation
let client = newHttpClient()
# List comments in the moderation dashboard.
# This operation has no required parameters, so everything is optional.
let (response, httpResponse) = getApiComments(
httpClient = client,
options = GetApiCommentsOptions(
count: 30,
tenantId: "your-tenant-id",
sso: "your-sso-token"
)
)
if response.isSome:
let resp = response.get()
echo "Found ", resp.comments.len, " comments"
Veelvoorkomende problemen
- 401 authenticatiefout: Zorg ervoor dat u de
x-api-keyheader op uw HttpClient instelt voordat u DefaultAPI‑verzoeken doet:client.headers["x-api-key"] = "your-api-key" - Verkeerde API‑klasse: Gebruik
api_defaultvoor server‑side geauthenticeerde verzoeken,api_publicvoor client‑side/openbare verzoeken, enapi_moderationvoor moderator‑dashboard verzoeken.
API-aanroepen 
Alle API-methoden in deze SDK retourneren tuples van (Option[ResponseType], Response). Het eerste element bevat de geparseerde respons indien geslaagd, en het tweede element is de ruwe HTTP-respons.
Vereiste parameters en de request body worden positioneel doorgegeven. De resterende optionele parameters worden verzameld in één Api<Operation>Options-object, dat het laatste argument is. Operaties zonder optionele parameters nemen geen opties-object.
Voorbeeld: Opvragen van reacties
import httpclient
import options
import fastcomments
import fastcomments/apis/api_default
let client = newHttpClient()
client.headers["x-api-key"] = "your-api-key"
let (response, httpResponse) = getComments(
httpClient = client,
tenantId = "your-tenant-id",
options = GetCommentsOptions(
urlId: "your-url-id",
direction: SortDirections.DESC
)
)
if httpResponse.code == Http200:
if response.isSome:
let resp = response.get()
if resp.comments.isSome:
echo "Found ", resp.comments.get().len, " comments"
Opmerkingen 
Broadcast-id's
Je zult zien dat je in sommige API-aanroepen een broadcastId moet meegeven. Wanneer je gebeurtenissen ontvangt, krijg je deze ID terug, zodat je weet dat je de gebeurtenis moet negeren als je van plan bent wijzigingen optimistisch op de client toe te passen
(wat je waarschijnlijk wilt doen omdat het de beste ervaring biedt). Geef hier een UUID door. De ID moet voldoende uniek zijn zodat deze niet twee keer in een browsersessie voorkomt.
SSO (Single Sign-On)
Voor SSO-voorbeelden, zie hieronder.
SSO-gebruik 
Eenvoudige SSO
import fastcomments/sso
let user = newSimpleSSOUserData(
userId = "user-123",
email = "user@example.com",
avatar = "https://example.com/avatar.jpg"
)
let sso = newSimple(simpleUserData = user)
let token = sso.createToken()
echo "SSO Token: ", token
Beveiligde SSO
import fastcomments/sso
let user = newSecureSSOUserData(
userId = "user-123",
email = "user@example.com",
username = "johndoe",
avatar = "https://example.com/avatar.jpg"
)
let apiKey = "your-api-key"
let sso = newSecure(apiKey = apiKey, secureUserData = user)
let token = sso.createToken()
echo "Secure SSO Token: ", token
Documentatie voor fastcomments 
Documentatie voor API-eindpunten
Alle URI's zijn relatief ten opzichte van https://fastcomments.com
| Klasse | Methode | HTTP‑verzoek | Beschrijving |
|---|---|---|---|
| DefaultApi | addDomainConfig | POST /api/v1/domain-configs | |
| DefaultApi | addHashTag | POST /api/v1/hash-tags | |
| DefaultApi | addHashTagsBulk | POST /api/v1/hash-tags/bulk | |
| DefaultApi | addPage | POST /api/v1/pages | |
| DefaultApi | addSSOUser | POST /api/v1/sso-users | |
| DefaultApi | aggregate | POST /api/v1/aggregate | Aggregates documenten door ze te groeperen (indien groupBy is opgegeven) en meerdere bewerkingen toe te passen. Verschillende bewerkingen (bijv. sum, countDistinct, avg, enz.) worden ondersteund. |
| DefaultApi | aggregateQuestionResults | GET /api/v1/question-results-aggregation | |
| DefaultApi | blockUserFromComment | POST /api/v1/comments/{id}/block | |
| DefaultApi | bulkAggregateQuestionResults | POST /api/v1/question-results-aggregation/bulk | |
| DefaultApi | changeTicketState | PATCH /api/v1/tickets/{id}/state | |
| DefaultApi | combineCommentsWithQuestionResults | GET /api/v1/question-results-aggregation/combine/comments | |
| DefaultApi | createEmailTemplate | POST /api/v1/email-templates | |
| DefaultApi | createFeedPost | POST /api/v1/feed-posts | |
| DefaultApi | createModerator | POST /api/v1/moderators | |
| DefaultApi | createQuestionConfig | POST /api/v1/question-configs | |
| DefaultApi | createQuestionResult | POST /api/v1/question-results | |
| DefaultApi | createSubscription | POST /api/v1/subscriptions | |
| DefaultApi | createTenant | POST /api/v1/tenants | |
| DefaultApi | createTenantPackage | POST /api/v1/tenant-packages | |
| DefaultApi | createTenantUser | POST /api/v1/tenant-users | |
| DefaultApi | createTicket | POST /api/v1/tickets | |
| DefaultApi | createUserBadge | POST /api/v1/user-badges | |
| DefaultApi | createVote | POST /api/v1/votes | |
| DefaultApi | deleteComment | DELETE /api/v1/comments/{id} | |
| DefaultApi | deleteDomainConfig | DELETE /api/v1/domain-configs/{domain} | |
| DefaultApi | deleteEmailTemplate | DELETE /api/v1/email-templates/{id} | |
| DefaultApi | deleteEmailTemplateRenderError | DELETE /api/v1/email-templates/{id}/render-errors/{errorId} | |
| DefaultApi | deleteHashTag | DELETE /api/v1/hash-tags/{tag} | |
| DefaultApi | deleteModerator | DELETE /api/v1/moderators/{id} | |
| DefaultApi | deleteNotificationCount | DELETE /api/v1/notification-count/{id} | |
| DefaultApi | deletePage | DELETE /api/v1/pages/{id} | |
| DefaultApi | deletePendingWebhookEvent | DELETE /api/v1/pending-webhook-events/{id} | |
| DefaultApi | deleteQuestionConfig | DELETE /api/v1/question-configs/{id} | |
| DefaultApi | deleteQuestionResult | DELETE /api/v1/question-results/{id} | |
| DefaultApi | deleteSSOUser | DELETE /api/v1/sso-users/{id} | |
| DefaultApi | deleteSubscription | DELETE /api/v1/subscriptions/{id} | |
| DefaultApi | deleteTenant | DELETE /api/v1/tenants/{id} | |
| DefaultApi | deleteTenantPackage | DELETE /api/v1/tenant-packages/{id} | |
| DefaultApi | deleteTenantUser | DELETE /api/v1/tenant-users/{id} | |
| DefaultApi | deleteUserBadge | DELETE /api/v1/user-badges/{id} | |
| DefaultApi | deleteVote | DELETE /api/v1/votes/{id} | |
| DefaultApi | flagComment | POST /api/v1/comments/{id}/flag | |
| DefaultApi | getAuditLogs | GET /api/v1/audit-logs | |
| DefaultApi | getCachedNotificationCount | GET /api/v1/notification-count/{id} | |
| DefaultApi | getComment | GET /api/v1/comments/{id} | |
| DefaultApi | getComments | GET /api/v1/comments | |
| DefaultApi | getDomainConfig | GET /api/v1/domain-configs/{domain} | |
| DefaultApi | getDomainConfigs | GET /api/v1/domain-configs | |
| DefaultApi | getEmailTemplate | GET /api/v1/email-templates/{id} | |
| DefaultApi | getEmailTemplateDefinitions | GET /api/v1/email-templates/definitions | |
| DefaultApi | getEmailTemplateRenderErrors | GET /api/v1/email-templates/{id}/render-errors | |
| DefaultApi | getEmailTemplates | GET /api/v1/email-templates | |
| DefaultApi | getFeedPosts | GET /api/v1/feed-posts | req tenantId afterId |
| DefaultApi | getHashTags | GET /api/v1/hash-tags | |
| DefaultApi | getModerator | GET /api/v1/moderators/{id} | |
| DefaultApi | getModerators | GET /api/v1/moderators | |
| DefaultApi | getNotificationCount | GET /api/v1/notifications/count | |
| DefaultApi | getNotifications | GET /api/v1/notifications | |
| DefaultApi | getPageByURLId | GET /api/v1/pages/by-url-id | |
| DefaultApi | getPages | GET /api/v1/pages | |
| DefaultApi | getPendingWebhookEventCount | GET /api/v1/pending-webhook-events/count | |
| DefaultApi | getPendingWebhookEvents | GET /api/v1/pending-webhook-events | |
| DefaultApi | getQuestionConfig | GET /api/v1/question-configs/{id} | |
| DefaultApi | getQuestionConfigs | GET /api/v1/question-configs | |
| DefaultApi | getQuestionResult | GET /api/v1/question-results/{id} | |
| DefaultApi | getQuestionResults | GET /api/v1/question-results | |
| DefaultApi | getSSOUserByEmail | GET /api/v1/sso-users/by-email/{email} | |
| DefaultApi | getSSOUserById | GET /api/v1/sso-users/by-id/{id} | |
| DefaultApi | getSSOUsers | GET /api/v1/sso-users | |
| DefaultApi | getSubscriptions | GET /api/v1/subscriptions | |
| DefaultApi | getTenant | GET /api/v1/tenants/{id} | |
| DefaultApi | getTenantDailyUsages | GET /api/v1/tenant-daily-usage | |
| DefaultApi | getTenantPackage | GET /api/v1/tenant-packages/{id} | |
| DefaultApi | getTenantPackages | GET /api/v1/tenant-packages | |
| DefaultApi | getTenantUser | GET /api/v1/tenant-users/{id} | |
| DefaultApi | getTenantUsers | GET /api/v1/tenant-users | |
| DefaultApi | getTenants | GET /api/v1/tenants | |
| DefaultApi | getTicket | GET /api/v1/tickets/{id} | |
| DefaultApi | getTickets | GET /api/v1/tickets | |
| DefaultApi | getUser | GET /api/v1/users/{id} | |
| DefaultApi | getUserBadge | GET /api/v1/user-badges/{id} | |
| DefaultApi | getUserBadgeProgressById | GET /api/v1/user-badge-progress/{id} | |
| DefaultApi | getUserBadgeProgressByUserId | GET /api/v1/user-badge-progress/user/{userId} | |
| DefaultApi | getUserBadgeProgressList | GET /api/v1/user-badge-progress | |
| DefaultApi | getUserBadges | GET /api/v1/user-badges | |
| DefaultApi | getVotes | GET /api/v1/votes | |
| DefaultApi | getVotesForUser | GET /api/v1/votes/for-user | |
| DefaultApi | patchDomainConfig | PATCH /api/v1/domain-configs/{domainToUpdate} | |
| DefaultApi | patchHashTag | PATCH /api/v1/hash-tags/{tag} | |
| DefaultApi | patchPage | PATCH /api/v1/pages/{id} | |
| DefaultApi | patchSSOUser | PATCH /api/v1/sso-users/{id} | |
| DefaultApi | putDomainConfig | PUT /api/v1/domain-configs/{domainToUpdate} | |
| DefaultApi | putSSOUser | PUT /api/v1/sso-users/{id} | |
| DefaultApi | renderEmailTemplate | POST /api/v1/email-templates/render | |
| DefaultApi | replaceTenantPackage | PUT /api/v1/tenant-packages/{id} | |
| DefaultApi | replaceTenantUser | PUT /api/v1/tenant-users/{id} | |
| DefaultApi | saveComment | POST /api/v1/comments | |
| DefaultApi | saveCommentsBulk | POST /api/v1/comments/bulk | |
| DefaultApi | sendInvite | POST /api/v1/moderators/{id}/send-invite | |
| DefaultApi | sendLoginLink | POST /api/v1/tenant-users/{id}/send-login-link | |
| DefaultApi | unBlockUserFromComment | POST /api/v1/comments/{id}/un-block | |
| DefaultApi | unFlagComment | POST /api/v1/comments/{id}/un-flag | |
| DefaultApi | updateComment | PATCH /api/v1/comments/{id} | |
| DefaultApi | updateEmailTemplate | PATCH /api/v1/email-templates/{id} | |
| DefaultApi | updateFeedPost | PATCH /api/v1/feed-posts/{id} | |
| DefaultApi | updateModerator | PATCH /api/v1/moderators/{id} | |
| DefaultApi | updateNotification | PATCH /api/v1/notifications/{id} | |
| DefaultApi | updateQuestionConfig | PATCH /api/v1/question-configs/{id} | |
| DefaultApi | updateQuestionResult | PATCH /api/v1/question-results/{id} | |
| DefaultApi | updateSubscription | PATCH /api/v1/subscriptions/{id} | |
| DefaultApi | updateTenant | PATCH /api/v1/tenants/{id} | |
| DefaultApi | updateTenantPackage | PATCH /api/v1/tenant-packages/{id} | |
| DefaultApi | updateTenantUser | PATCH /api/v1/tenant-users/{id} | |
| DefaultApi | updateUserBadge | PUT /api/v1/user-badges/{id} | |
| ModerationApi | deleteModerationVote | DELETE /auth/my-account/moderate-comments/mod_api/vote/{commentId}/{voteId} | |
| ModerationApi | getApiComments | GET /auth/my-account/moderate-comments/mod_api/api/comments | |
| ModerationApi | getApiExportStatus | GET /auth/my-account/moderate-comments/mod_api/api/export/status | |
| ModerationApi | getApiIds | GET /auth/my-account/moderate-comments/mod_api/api/ids | |
| ModerationApi | getBanUsersFromComment | GET /auth/my-account/moderate-comments/mod_api/ban-users/from-comment/{commentId} | |
| ModerationApi | getCommentBanStatus | GET /auth/my-account/moderate-comments/mod_api/get-comment-ban-status/{commentId} | |
| ModerationApi | getCommentChildren | GET /auth/my-account/moderate-comments/mod_api/comment-children/{commentId} | |
| ModerationApi | getCount | GET /auth/my-account/moderate-comments/mod_api/count | |
| ModerationApi | getCounts | GET /auth/my-account/moderate-comments/banned-users/mod_api/counts | |
| ModerationApi | getLogs | GET /auth/my-account/moderate-comments/mod_api/logs/{commentId} | |
| ModerationApi | getManualBadges | GET /auth/my-account/moderate-comments/mod_api/get-manual-badges | |
| ModerationApi | getManualBadgesForUser | GET /auth/my-account/moderate-comments/mod_api/get-manual-badges-for-user | |
| ModerationApi | getModerationComment | GET /auth/my-account/moderate-comments/mod_api/comment/{commentId} | |
| ModerationApi | getModerationCommentText | GET /auth/my-account/moderate-comments/mod_api/get-comment-text/{commentId} | |
| ModerationApi | getPreBanSummary | GET /auth/my-account/moderate-comments/mod_api/pre-ban-summary/{commentId} | |
| ModerationApi | getSearchCommentsSummary | GET /auth/my-account/moderate-comments/mod_api/search/comments/summary | |
| ModerationApi | getSearchPages | GET /auth/my-account/moderate-comments/mod_api/search/pages | |
| ModerationApi | getSearchSites | GET /auth/my-account/moderate-comments/mod_api/search/sites | |
| ModerationApi | getSearchSuggest | GET /auth/my-account/moderate-comments/mod_api/search/suggest | |
| ModerationApi | getSearchUsers | GET /auth/my-account/moderate-comments/mod_api/search/users | |
| ModerationApi | getTrustFactor | GET /auth/my-account/moderate-comments/mod_api/get-trust-factor | |
| ModerationApi | getUserBanPreference | GET /auth/my-account/moderate-comments/mod_api/user-ban-preference | |
| ModerationApi | getUserInternalProfile | GET /auth/my-account/moderate-comments/mod_api/get-user-internal-profile | |
| ModerationApi | postAdjustCommentVotes | POST /auth/my-account/moderate-comments/mod_api/adjust-comment-votes/{commentId} | |
| ModerationApi | postApiExport | POST /auth/my-account/moderate-comments/mod_api/api/export | |
| ModerationApi | postBanUserFromComment | POST /auth/my-account/moderate-comments/mod_api/ban-user/from-comment/{commentId} | |
| ModerationApi | postBanUserUndo | POST /auth/my-account/moderate-comments/mod_api/ban-user/undo | |
| ModerationApi | postBulkPreBanSummary | POST /auth/my-account/moderate-comments/mod_api/bulk-pre-ban-summary | |
| ModerationApi | postCommentsByIds | POST /auth/my-account/moderate-comments/mod_api/comments-by-ids | |
| ModerationApi | postFlagComment | POST /auth/my-account/moderate-comments/mod_api/flag-comment/{commentId} | |
| ModerationApi | postRemoveComment | POST /auth/my-account/moderate-comments/mod_api/remove-comment/{commentId} | |
| ModerationApi | postRestoreDeletedComment | POST /auth/my-account/moderate-comments/mod_api/restore-deleted-comment/{commentId} | |
| ModerationApi | postSetCommentApprovalStatus | POST /auth/my-account/moderate-comments/mod_api/set-comment-approval-status/{commentId} | |
| ModerationApi | postSetCommentReviewStatus | POST /auth/my-account/moderate-comments/mod_api/set-comment-review-status/{commentId} | |
| ModerationApi | postSetCommentSpamStatus | POST /auth/my-account/moderate-comments/mod_api/set-comment-spam-status/{commentId} | |
| ModerationApi | postSetCommentText | POST /auth/my-account/moderate-comments/mod_api/set-comment-text/{commentId} | |
| ModerationApi | postUnFlagComment | POST /auth/my-account/moderate-comments/mod_api/un-flag-comment/{commentId} | |
| ModerationApi | postVote | POST /auth/my-account/moderate-comments/mod_api/vote/{commentId} | |
| ModerationApi | putAwardBadge | PUT /auth/my-account/moderate-comments/mod_api/award-badge | |
| ModerationApi | putCloseThread | PUT /auth/my-account/moderate-comments/mod_api/close-thread | |
| ModerationApi | putRemoveBadge | PUT /auth/my-account/moderate-comments/mod_api/remove-badge | |
| ModerationApi | putReopenThread | PUT /auth/my-account/moderate-comments/mod_api/reopen-thread | |
| ModerationApi | setTrustFactor | PUT /auth/my-account/moderate-comments/mod_api/set-trust-factor | |
| PublicApi | blockFromCommentPublic | POST /block-from-comment/{commentId} | |
| PublicApi | checkedCommentsForBlocked | GET /check-blocked-comments | |
| PublicApi | createCommentPublic | POST /comments/{tenantId} | |
| PublicApi | createFeedPostPublic | POST /feed-posts/{tenantId} | |
| PublicApi | createV1PageReact | POST /page-reacts/v1/likes/{tenantId} | |
| PublicApi | createV2PageReact | POST /page-reacts/v2/{tenantId} | |
| PublicApi | deleteCommentPublic | DELETE /comments/{tenantId}/{commentId} | |
| PublicApi | deleteCommentVote | DELETE /comments/{tenantId}/{commentId}/vote/{voteId} | |
| PublicApi | deleteFeedPostPublic | DELETE /feed-posts/{tenantId}/{postId} | |
| PublicApi | deleteV1PageReact | DELETE /page-reacts/v1/likes/{tenantId} | |
| PublicApi | deleteV2PageReact | DELETE /page-reacts/v2/{tenantId} | |
| PublicApi | flagCommentPublic | POST /flag-comment/{commentId} | |
| PublicApi | getCommentText | GET /comments/{tenantId}/{commentId}/text | |
| PublicApi | getCommentVoteUserNames | GET /comments/{tenantId}/{commentId}/votes | |
| PublicApi | getCommentsForUser | GET /comments-for-user | |
| PublicApi | getCommentsPublic | GET /comments/{tenantId} | req tenantId urlId |
| PublicApi | getEventLog | GET /event-log/{tenantId} | req tenantId urlId userIdWS |
| PublicApi | getFeedPostsPublic | GET /feed-posts/{tenantId} | req tenantId afterId |
| PublicApi | getFeedPostsStats | GET /feed-posts/{tenantId}/stats | |
| PublicApi | getGifLarge | GET /gifs/get-large/{tenantId} | |
| PublicApi | getGifsSearch | GET /gifs/search/{tenantId} | |
| PublicApi | getGifsTrending | GET /gifs/trending/{tenantId} | |
| PublicApi | getGlobalEventLog | GET /event-log/global/{tenantId} | req tenantId urlId userIdWS |
| PublicApi | getOfflineUsers | GET /pages/{tenantId}/users/offline | Vorige commentatoren op de pagina die NIET momenteel online zijn. Gesorteerd op displayName. Gebruik dit nadat /users/online is uitgeput om een “Members”‑sectie te renderen. Cursor‑paginering op commenterName: server doorloopt de partiële {tenantId, urlId, commenterName}‑index vanaf afterName via $gt, zonder $skip‑kosten. |
| PublicApi | getOnlineUsers | GET /pages/{tenantId}/users/online | Huidig‑online kijkers van een pagina: personen waarvan de websocket‑sessie nu op de pagina is geabonneerd. Retourneert anonCount + totalCount (abonnees op de room, inclusief anonieme kijkers die niet worden opgesomd). |
| PublicApi | getPagesPublic | GET /pages/{tenantId} | Lijst pagina’s voor een tenant. Wordt gebruikt door de FChat‑desktopclient om de kamerlijst te vullen. Vereist enableFChat = true in de opgeloste custom‑configuratie voor elke pagina. Pagina’s die SSO vereisen worden gefilterd op groeps‑toegang van de aanvragende gebruiker. |
| PublicApi | getTranslations | GET /translations/{namespace}/{component} | |
| PublicApi | getUserNotificationCount | GET /user-notifications/get-count | |
| PublicApi | getUserNotifications | GET /user-notifications | |
| PublicApi | getUserPresenceStatuses | GET /user-presence-status | |
| PublicApi | getUserReactsPublic | GET /feed-posts/{tenantId}/user-reacts | |
| PublicApi | getUsersInfo | GET /pages/{tenantId}/users/info | Bulk‑gebruiker‑info voor een tenant. Gegeven userIds wordt weergave‑info uit User / SSOUser geretourneerd. Wordt door de comment‑widget gebruikt om gebruikers die net verschenen via een presence‑event te verrijken. Geen paginacontext: privacy wordt uniform afgedwongen (privé‑profielen worden gemaskeerd). |
| PublicApi | getV1PageLikes | GET /page-reacts/v1/likes/{tenantId} | |
| PublicApi | getV2PageReactUsers | GET /page-reacts/v2/{tenantId}/list | |
| PublicApi | getV2PageReacts | GET /page-reacts/v2/{tenantId} | |
| PublicApi | lockComment | POST /comments/{tenantId}/{commentId}/lock | |
| PublicApi | logoutPublic | PUT /auth/logout | |
| PublicApi | pinComment | POST /comments/{tenantId}/{commentId}/pin | |
| PublicApi | reactFeedPostPublic | POST /feed-posts/{tenantId}/react/{postId} | |
| PublicApi | resetUserNotificationCount | POST /user-notifications/reset-count | |
| PublicApi | resetUserNotifications | POST /user-notifications/reset | |
| PublicApi | searchUsers | GET /user-search/{tenantId} | |
| PublicApi | setCommentText | POST /comments/{tenantId}/{commentId}/update-text | |
| PublicApi | unBlockCommentPublic | DELETE /block-from-comment/{commentId} | |
| PublicApi | unLockComment | POST /comments/{tenantId}/{commentId}/unlock | |
| PublicApi | unPinComment | POST /comments/{tenantId}/{commentId}/unpin | |
| PublicApi | updateFeedPostPublic | PUT /feed-posts/{tenantId}/{postId} | |
| PublicApi | updateUserNotificationCommentSubscriptionStatus | POST /user-notifications/{notificationId}/mark-opted/{optedInOrOut} | Enable or disable notifications for a specific comment. |
| PublicApi | updateUserNotificationPageSubscriptionStatus | POST /user-notifications/set-subscription-state/{subscribedOrUnsubscribed} | Enable or disable notifications for a page. When users are subscribed to a page, notifications are created for new root comments, and also |
| PublicApi | updateUserNotificationStatus | POST /user-notifications/{notificationId}/mark/{newStatus} | |
| PublicApi | uploadImage | POST /upload-image/{tenantId} | Upload en verklein een afbeelding |
| PublicApi | voteComment | POST /comments/{tenantId}/{commentId}/vote |
Documentatie voor Modellen
- APIAuditLog
- APIBanUserChangeLog
- APIBanUserChangedValues
- APIBannedUser
- APIBannedUserWithMultiMatchInfo
- APIComment
- APICommentBase
- APICommentBase_meta
- APICommentCommonBannedUser
- APICreateUserBadgeResponse
- APIDomainConfiguration
- APIEmptyResponse
- APIEmptySuccessResponse
- APIError
- APIGetCommentResponse
- APIGetCommentsResponse
- APIGetUserBadgeProgressListResponse
- APIGetUserBadgeProgressResponse
- APIGetUserBadgeResponse
- APIGetUserBadgesResponse
- APIModerateGetUserBanPreferencesResponse
- APIModerateUserBanPreferences
- APIPage
- APISSOUser
- APISaveCommentResponse
- APIStatus
- APITenant
- APITenantDailyUsage
- APITicket
- APITicketDetail
- APITicketFile
- APIUserSubscription
- AddDomainConfigParams
- AddDomainConfigResponse
- AddDomainConfigResponse_anyOf
- AddPageAPIResponse
- AddSSOUserAPIResponse
- AdjustCommentVotesParams
- AdjustVotesResponse
- AggregateQuestionResultsResponse
- AggregateResponse
- AggregateTimeBucket
- AggregationAPIError
- AggregationItem
- AggregationOpType
- AggregationOperation
- AggregationRequest
- AggregationRequest_sort
- AggregationResponse
- AggregationResponse_stats
- AggregationValue
- AwardUserBadgeResponse
- BanUserFromCommentResult
- BanUserUndoParams
- BannedUserMatch
- BannedUserMatchType
- BannedUserMatch_matchedOnValue
- BillingInfo
- BlockFromCommentParams
- BlockSuccess
- BuildModerationFilterParams
- BuildModerationFilterResponse
- BulkAggregateQuestionItem
- BulkAggregateQuestionResultsRequest
- BulkAggregateQuestionResultsResponse
- BulkCreateHashTagsBody
- BulkCreateHashTagsBody_tags_inner
- [BulkCreateHashTagsResponse](https
aggregate 
Aggregates documents by grouping them (if groupBy is provided) and applying multiple operations.
Different operations (e.g. sum, countDistinct, avg, etc.) are supported.
Parameters
| Naam | Type | Vereist | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| aggregationRequest | AggregationRequest | Nee | |
| options | AggregateOptions | Nee |
Respons
Retourneert: Option[AggregateResponse]
Voorbeeld

getAuditLogs 
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| options | GetAuditLogsOptions | Nee |
Respons
Retourneert: Option[GetAuditLogsResponse]
Voorbeeld

logoutPublic 
Respons
Retourneert: Option[APIEmptyResponse]
Voorbeeld

blockFromCommentPublic 
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| commentId | string | Ja | |
| publicBlockFromCommentParams | PublicBlockFromCommentParams | Nee | |
| sso | string = "" | Nee |
Respons
Retourneert: Option[BlockSuccess]
Voorbeeld

unBlockCommentPublic 
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| commentId | string | Ja | |
| publicBlockFromCommentParams | PublicBlockFromCommentParams | Nee | |
| sso | string = "" | Nee |
Reactie
Retourneert: Option[UnblockSuccess]
Voorbeeld

checkedCommentsForBlocked 
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| commentIds | string | Nee | |
| sso | string = "" | Nee |
Respons
Retourneert: Option[CheckBlockedCommentsResponse]
Voorbeeld

blockUserFromComment 
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| id | string | Nee | |
| blockFromCommentParams | BlockFromCommentParams | Nee | |
| options | BlockUserFromCommentOptions | Nee |
Response
Returns: Option[BlockSuccess]
Example

createCommentPublic 
Parameters
| Naam | Type | Vereist | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| urlId | string | Ja | |
| broadcastId | string | Nee | |
| commentData | CommentData | Nee | |
| options | CreateCommentPublicOptions | Nee |
Respons
Retourneert: Option[SaveCommentsResponseWithPresence]
Voorbeeld

deleteComment 
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| tenantId | string | Yes | |
| id | string | No | |
| options | DeleteCommentOptions | No |
Respons
Retourneert: Option[DeleteCommentResult]
Voorbeeld

deleteCommentPublic 
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| commentId | string | Ja | |
| broadcastId | string | Nee | |
| options | DeleteCommentPublicOptions | Nee |
Respons
Retourneert: Option[PublicAPIDeleteCommentResponse]
Voorbeeld

deleteCommentVote 
Parameters
| Naam | Type | Vereist | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| commentId | string | Ja | |
| voteId | string | Nee | |
| urlId | string | Ja | |
| broadcastId | string | Nee | |
| options | DeleteCommentVoteOptions | Nee |
Respons
Retourneert: Option[VoteDeleteResponse]
Voorbeeld

flagComment 
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| tenantId | string | Ja | |
| id | string | Nee | |
| options | FlagCommentOptions | Nee |
Response
Retourneert: Option[FlagCommentResponse]
Example

getComment 
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| id | string | Nee |
Respons
Retourneert: Option[APIGetCommentResponse]
Voorbeeld

getComments 
Parameters
| Naam | Type | Vereist | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| options | GetCommentsOptions | Nee |
Respons
Retourneert: Option[APIGetCommentsResponse]
Voorbeeld

getCommentsPublic 
req tenantId urlId
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| tenantId | string | Ja | |
| urlId | string | Ja | |
| options | GetCommentsPublicOptions | Nee |
Response
Retourneert: Option[GetCommentsResponseWithPresencePublicComment]
Voorbeeld

getCommentText 
Parameters
| Naam | Type | Vereist | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| commentId | string | Ja | |
| options | GetCommentTextOptions | Nee |
Response
Retourneert: Option[PublicAPIGetCommentTextResponse]
Example

getCommentVoteUserNames 
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| tenantId | string | Yes | |
| commentId | string | Yes | |
| dir | int | No | |
| sso | string = "" | No |
Respons
Retourneert: Option[GetCommentVoteUserNamesSuccessResponse]
Voorbeeld

lockComment 
Parameters
| Naam | Type | Vereist | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| commentId | string | Ja | |
| broadcastId | string | Nee | |
| sso | string = "" | Nee |
Respons
Retourneert: Option[APIEmptyResponse]
Voorbeeld

pinComment 
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| commentId | string | Ja | |
| broadcastId | string | Nee | |
| sso | string = "" | Nee |
Respons
Retourneert: Option[ChangeCommentPinStatusResponse]
Voorbeeld

saveComment 
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| createCommentParams | CreateCommentParams | Nee | |
| options | SaveCommentOptions | Nee |
Response
Retourneert: Option[APISaveCommentResponse]
Voorbeeld

saveCommentsBulk 
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| createCommentParams | seq[CreateCommentParams] | Nee | |
| options | SaveCommentsBulkOptions): (Option[seq[SaveCommentsBulkResponse]] | Nee | |
| id | string | Nee | |
| fromName | string | Nee |
Respons
Retourneert: Option[APIEmptyResponse]
Voorbeeld

setCommentText 
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| commentId | string | Ja | |
| broadcastId | string | Nee | |
| commentTextUpdateRequest | CommentTextUpdateRequest | Nee | |
| options | SetCommentTextOptions | Nee |
Respons
Retourneert: Option[PublicAPISetCommentTextResponse]
Voorbeeld

unBlockUserFromComment 
Parameters
| Naam | Type | Vereist | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| id | string | Nee | |
| unBlockFromCommentParams | UnBlockFromCommentParams | Nee | |
| options | UnBlockUserFromCommentOptions | Nee |
Respons
Retourneert: Option[UnblockSuccess]
Voorbeeld

unFlagComment 
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| id | string | Nee | |
| options | UnFlagCommentOptions | Nee |
Respons
Retourneert: Option[FlagCommentResponse]
Voorbeeld

unLockComment 
Parameters
| Naam | Type | Vereist | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| commentId | string | Ja | |
| broadcastId | string | Nee | |
| sso | string = "" | Nee |
Response
Retourneert: Option[APIEmptyResponse]
Voorbeeld

unPinComment 
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| tenantId | string | Yes | |
| commentId | string | Yes | |
| broadcastId | string | No | |
| sso | string = "" | No |
Respons
Retourneert: Option[ChangeCommentPinStatusResponse]
Voorbeeld

updateComment 
Parameters
| Naam | Type | Vereist | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| id | string | Nee | |
| updatableCommentParams | UpdatableCommentParams | Nee | |
| options | UpdateCommentOptions | Nee |
Respons
Returns: Option[APIEmptyResponse]
Voorbeeld

voteComment 
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| tenantId | string | Yes | |
| commentId | string | Yes | |
| urlId | string | Yes | |
| broadcastId | string | No | |
| voteBodyParams | VoteBodyParams | No | |
| options | VoteCommentOptions | No |
Respons
Retourneert: Option[VoteResponse]
Voorbeeld

getCommentsForUser 
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| options | GetCommentsForUserOptions | Nee |
Respons
Retourneert: Option[GetCommentsForUserResponse]
Voorbeeld

addDomainConfig 
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| tenantId | string | Yes | |
| addDomainConfigParams | AddDomainConfigParams | No |
Respons
Retourneert: Option[AddDomainConfigResponse]
Voorbeeld

deleteDomainConfig 
Parameters
| Naam | Type | Vereist | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| domain | string | Nee |
Respons
Retourneert: Option[DeleteDomainConfigResponse]
Voorbeeld

getDomainConfig 
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| domain | string | Nee |
Respons
Retourneert: Option[GetDomainConfigResponse]
Voorbeeld

getDomainConfigs 
Parameters
| Naam | Type | Vereist | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja |
Response
Retourneert: Option[GetDomainConfigsResponse]
Voorbeeld

patchDomainConfig 
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| domainToUpdate | string | Nee | |
| patchDomainConfigParams | PatchDomainConfigParams | Nee |
Respons
Retourneert: Option[PatchDomainConfigResponse]
Voorbeeld

putDomainConfig 
Parameters
| Naam | Type | Vereist | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| domainToUpdate | string | Nee | |
| updateDomainConfigParams | UpdateDomainConfigParams | Nee |
Respons
Returns: Option[PutDomainConfigResponse]
Voorbeeld

createEmailTemplate 
Parameters
| Naam | Type | Vereist | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| createEmailTemplateBody | CreateEmailTemplateBody | Nee |
Respons
Retourneert: Option[CreateEmailTemplateResponse]
Voorbeeld

deleteEmailTemplate 
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| id | string | Nee |
Respons
Retourneert: Option[APIEmptyResponse]
Voorbeeld

deleteEmailTemplateRenderError 
Parameters
| Naam | Type | Vereist | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| id | string | Nee | |
| errorId | string | Nee |
Respons
Retourneert: Option[APIEmptyResponse]
Voorbeeld

getEmailTemplate 
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| id | string | Nee |
Respons
Retourneert: Option[GetEmailTemplateResponse]
Voorbeeld

getEmailTemplateDefinitions 
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja |
Respons
Retourneert: Option[GetEmailTemplateDefinitionsResponse]
Voorbeeld

getEmailTemplateRenderErrors 
Parameters
| Naam | Type | Vereist | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| id | string | Nee | |
| skip | float64 | Nee |
Response
Retourneert: Option[GetEmailTemplateRenderErrorsResponse]
Example

getEmailTemplates 
Parameters
| Naam | Type | Vereist | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| skip | float64 | Nee |
Respons
Retourneert: Option[GetEmailTemplatesResponse]
Voorbeeld

renderEmailTemplate 
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| tenantId | string | Ja | |
| renderEmailTemplateBody | RenderEmailTemplateBody | Nee | |
| locale | string = "" | Nee |
Respons
Retourneert: Option[RenderEmailTemplateResponse]
Voorbeeld

updateEmailTemplate 
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| id | string | Nee | |
| updateEmailTemplateBody | UpdateEmailTemplateBody | Nee |
Respons
Retourneert: Option[APIEmptyResponse]
Voorbeeld

getEventLog 
req tenantId urlId userIdWS
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| tenantId | string | Yes | |
| urlId | string | Yes | |
| userIdWS | string | No | |
| startTime | int64 | No | |
| endTime | int64 | No |
Respons
Retour: Option[GetEventLogResponse]
Voorbeeld

getGlobalEventLog 
req tenantId urlId userIdWS
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| urlId | string | Ja | |
| userIdWS | string | Nee | |
| startTime | int64 | Nee | |
| endTime | int64 | Nee |
Reactie
Retourneert: Option[GetEventLogResponse]
Voorbeeld

createFeedPost 
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| createFeedPostParams | CreateFeedPostParams | Nee | |
| options | CreateFeedPostOptions | Nee |
Respons
Retourneert: Option[CreateFeedPostsResponse]
Voorbeeld

createFeedPostPublic 
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| createFeedPostParams | CreateFeedPostParams | Nee | |
| options | CreateFeedPostPublicOptions | Nee |
Respons
Retourneert: Option[CreateFeedPostResponse]
Voorbeeld

deleteFeedPostPublic 
Parameters
| Naam | Type | Vereist | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| postId | string | Nee | |
| options | DeleteFeedPostPublicOptions | Nee |
Respons
Retourneert: Option[DeleteFeedPostPublicResponse]
Voorbeeld

getFeedPosts 
req tenantId afterId
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| options | GetFeedPostsOptions | Nee |
Respons
Retourneert: Option[GetFeedPostsResponse]
Voorbeeld

getFeedPostsPublic 
req tenantId afterId
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| options | GetFeedPostsPublicOptions | Nee |
Reactie
Retourneert: Option[PublicFeedPostsResponse]
Voorbeeld

getFeedPostsStats 
Parameters
| Naam | Type | Verplicht | Beschrijving |
|---|---|---|---|
| tenantId | string | Ja | |
| postIds | seq[string] | Nee | |
| sso | string = "" | Nee |
Respons
Retourneert: Option[FeedPostsStatsResponse]
Voorbeeld
